<?php $page_title="Manage Categories";

include("includes/header.php");
require("includes/function.php");
require("language/language.php");

require("includes/check_availability.php");

    // Get category list
$tableName="tbl_category";   
$limit = 12;
$stages = 3;
$page=0;
if(isset($_GET['page'])){
  $page = mysqli_real_escape_string($mysqli,$_GET['page']);
}
if($page){
  $start = ($page - 1) * $limit; 
}else{
  $start = 0; 
}

    // Search for category
if(isset($_POST['data_search']))
{

  $searchTxt=cleanInput($_POST['search_value']);

  $qry="SELECT * FROM tbl_category WHERE tbl_category.`category_name` LIKE '%$searchTxt%' ORDER BY tbl_category.`category_name`";

  $result=mysqli_query($mysqli,$qry); 

}
else if(isset($_GET['status'])){

  $status=($_GET['status']=='enable') ? '1' : '0';

  $query = "SELECT COUNT(*) as num FROM $tableName WHERE `status`='$status'";
  $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query));
  $total_pages = $total_pages['num'];

  $targetpage = "manage_category.php?status=".$_GET['status']; 

  $qry="SELECT * FROM tbl_category WHERE `status`='$status' ORDER BY tbl_category.`cid` DESC LIMIT $start, $limit";

  $result=mysqli_query($mysqli,$qry); 
}
else
{
  $query = "SELECT COUNT(*) as num FROM $tableName";
  $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query));
  $total_pages = $total_pages['num'];

  $targetpage = "manage_category.php"; 

  $qry="SELECT * FROM tbl_category ORDER BY tbl_category.`cid` DESC LIMIT $start, $limit";

  $result=mysqli_query($mysqli,$qry); 

} 

    // Get total news
function get_total_news($cat_id)
{
  global $mysqli;   

  $sql="SELECT COUNT(*) as num FROM tbl_news WHERE FIND_IN_SET ($cat_id,`cat_id`)";

  $total_news = mysqli_fetch_array(mysqli_query($mysqli,$sql));
  $total_news = $total_news['num'];

  return $total_news;
}

?>

<div class="row">
  <div class="col-xs-12">
  	<?php
    if(isset($_SERVER['HTTP_REFERER']))
    {
     echo '<a href="'.$_SERVER['HTTP_REFERER'].'"><h4 class="pull-left" style="font-size: 20px;color: #e91e63"><i class="fa fa-arrow-left"></i> Back</h4></a>';
   }
   ?>
   <div class="card mrg_bottom">
    <div class="page_title_block">
      <div class="col-md-5 col-xs-12">
        <div class="page_title"><?=$page_title?></div>
      </div>
      <div class="col-md-7 col-xs-12">
        <div class="search_list">
          <div class="search_block">
            <form  method="post" action="">
              <input class="form-control input-sm" placeholder="Search..." aria-controls="DataTables_Table_0" type="search" name="search_value" required value="<?php if(isset($_POST['search_value'])){ echo $_POST['search_value']; }?>">
              <button type="submit" name="data_search" class="btn-search"><i class="fa fa-search"></i></button>
            </form>  
          </div>
          <div class="add_btn_primary"> <a href="add_category.php?add=yes">Add Category</a> </div>
        </div>
      </div>
      <div class="clearfix"></div>
      <form id="filterForm" accept="" method="GET">
        <div class="col-md-3">
          <div class="" style="padding: 0px 0px 5px;">
            <select name="status" class="form-control select2 filter" style="padding: 5px 10px;height: 40px;">
              <option value="">--All--</option>
              <option value="enable" <?php if(isset($_GET['status']) && $_GET['status']=='enable'){ echo 'selected';} ?>>Enable</option>
              <option value="disable" <?php if(isset($_GET['status']) && $_GET['status']=='disable'){ echo 'selected';} ?>>Disable</option>
            </select>
          </div>
        </div>
      </form>

    </div>
    <div class="clearfix"></div>
    <div class="col-md-12 mrg-top">
      <div class="row">
        <?php 
        $i=0;
        while($row=mysqli_fetch_array($result))
        {         
          ?>
          <div class="col-lg-4 col-sm-6 col-xs-12">
            <div class="block_wallpaper add_wall_category">           
              <div class="wall_image_title">
                <h2><a href="manage_news.php?category=<?=$row['cid']?>" style="text-shadow: 1px 1px 5px #000"><?php echo $row['category_name'];?> <span>(<?php echo get_total_news($row['cid']);?>)</span></a></h2>
                <ul>                
                  <li><a href="add_category.php?cat_id=<?php echo $row['cid'];?>" data-toggle="tooltip" data-tooltip="Edit"><i class="fa fa-edit"></i></a></li>               
                  <li><a href="" data-id="<?php echo $row['cid'];?>" class="btn_delete" data-action="delete" data-toggle="tooltip" data-tooltip="Delete" data-table='tbl_category'><i class="fa fa-trash"></i></a></li>
                  

                  <li>
                    <div class="row toggle_btn">
                      <input type="checkbox" id="enable_disable_check_<?=$i?>" data-id="<?=$row['cid']?>" data-table="tbl_category" data-column="status" class="cbx hidden enable_disable" <?php if($row['status']==1){ echo 'checked';} ?>>
                      <label for="enable_disable_check_<?=$i?>" class="lbl"></label>
                    </div>
                  </li>

                </ul>
              </div>
              <span>
                <?php 
                if(!file_exists('images/'.$row['category_image']) || $row['category_image']==''){
                  ?>
                  <img src="https://via.placeholder.com/250x150?text=No image">
                  <?php
                }else{
                  ?>
                  <img src="images/<?php echo $row['category_image'];?>"/>
                  <?php
                }
                ?>
              </span>
            </div>
          </div>
          <?php

          $i++;
        }
        ?>     
      </div>
    </div>
    <div class="col-md-12 col-xs-12">
      <div class="pagination_item_block">
        <nav>
          <?php if(!isset($_POST["data_search"])){ include("pagination.php");}?>
        </nav>
      </div>
    </div>
    <div class="clearfix"></div>
  </div>
</div>
</div>

<?php include("includes/footer.php");?>       

<script type="text/javascript">

  // Filter start
  $(".filter").on("change",function(e){
    $("#filterForm *").filter(":input").each(function(){
      if ($(this).val() == '')
        $(this).prop("disabled", true);
    });
    $("#filterForm").submit();
  });

</script>